Bug 985301 - python-blivet Python 3 compatibility
python-blivet Python 3 compatibility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Kuska
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PY3ANACONDA
  Show dependency treegraph
 
Reported: 2013-07-17 05:26 EDT by Bohuslav "Slavek" Kabrda
Modified: 2016-04-18 06:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-01 16:30:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-07-17 05:26:35 EDT
Hi,
is there any plan/estimate of making python-blivet compatible with Python 3? I'm currently trying to figure out what it'd take to move Fedora to Python 3 and since python-blivet is one of Anaconda's deps, it'd need to be converted as one of the first.
Thanks.
Comment 1 Fedora End Of Life 2013-09-16 10:33:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Miro Hrončok 2013-10-01 10:31:43 EDT
If you need any extra hand with this, feel free to use me :)
Comment 3 Miro Hrončok 2013-10-02 07:37:23 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help use update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add te support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 4 Toshio Ernie Kuratomi 2013-10-02 18:09:35 EDT
Note: do not follow this piece of advice as it is against the Packaging Guidelines: "When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option."

If you are in this situation, you'll essentially be forking upstream in order to produce a python3 port.  In that situation, the proper thing to do is to create a new package with the python3 port.  It would be even better to create the proper upstream infrastructure as well (new upstream scm and issue tracker) but that isn't 100% required by the guidelines.
Comment 5 Jaroslav Reznik 2015-03-03 09:58:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Miro Hrončok 2015-07-01 16:14:53 EDT
I see python3-blivet in the repo, should this be closed?
Comment 7 David Shea 2015-07-01 16:30:34 EDT
(In reply to Miro Hrončok from comment #6)
> I see python3-blivet in the repo, should this be closed?

Sure.

Note You need to log in before you can comment on or make changes to this bug.